import { html } from 'hono/html';

export const Layout = (props: { title: string, children?: any }) => {
  return html`<!DOCTYPE html>
    <html>
      <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <title>${props.title}</title>
      </head>
      <body>
        <header>
          <h1>Slovocast</h1>
        </header>
        <main>${props.children}</main>
        <footer>
          <p>&copy; 2024, Slovocast</p>
        </footer>
      </body>
    </html>`;
}

