import { Hono } from 'hono';
import { configMiddleware } from './middleware/config';
import { HomePage } from './frontend/pages/home';
import { LoginPage } from './frontend/pages/login';
import LoginHandler from './handlers/login';

const app = new Hono();
app.use(configMiddleware);

app.get('/', async (c) => {
  return c.html(<HomePage />);
});

// Handlers
app.route('/user', LoginHandler);

export default app;
